Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.framework
Interface XMLErrorReporter

All Known Implementing Classes:
  XMLParser

public interface XMLErrorReporter

Error handling

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: XMLErrorReporter.java,v 1.2 2000/04/04 21:14:21 andyc Exp $
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ERRORTYPE_FATAL_ERROR` Fatal error type.
`static int` | `ERRORTYPE_RECOVERABLE_ERROR` Error type.
`static int` | `ERRORTYPE_WARNING` Warning type.

Method Summary
`org.xml.sax.Locator` | `getLocator()` Get the default locator to use when reporting errors.
`void` | `reportError(org.xml.sax.Locator locator, java.lang.String errorDomain, int majorCode, int minorCode, java.lang.Object[] args, int errorType)` Report an error detected by a component of the XML parser.

Field Detail

### ERRORTYPE_WARNING

    public static final int ERRORTYPE_WARNING

  Warning type.

### ERRORTYPE_RECOVERABLE_ERROR

    public static final int ERRORTYPE_RECOVERABLE_ERROR

  Error type.

### ERRORTYPE_FATAL_ERROR

    public static final int ERRORTYPE_FATAL_ERROR

  Fatal error type.

Method Detail

### getLocator

    public org.xml.sax.Locator getLocator()

  Get the default locator to use when reporting errors.

### reportError

    public void reportError(org.xml.sax.Locator locator,
                            java.lang.String errorDomain,
                            int majorCode,
                            int minorCode,
                            java.lang.Object[] args,
                            int errorType)
                     throws java.lang.Exception

  Report an error detected by a component of the XML parser. In a typical implementation of this interface, this method would call the error handler registered by the user with the appropriate error information.

  Parameters:
    `locator` - Used to determine the location of the error.
    `errorDomain` - The error domain of the error.
    `majorCode` - The major key for the message text.
    `minorCode` - The minor key for the message text.
    `args` - The arguments to be used as replacement text in the message created.
    `errorType` - The type of error (ERRORTYPE_WARNING, ERRORTYPE_RECOVERABLE_ERROR, ERRORTYPE_FATAL_ERROR).
  Throws:
    java.lang.Exception - Thrown if the parser should not continue to the error being handled.
  See Also:
    `ERRORTYPE_WARNING`, `ERRORTYPE_RECOVERABLE_ERROR`, `ERRORTYPE_FATAL_ERROR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD